﻿//  ******************************************
//  Frequency Manager FreqRecord
//  Copyright © Jeff Knapp 2012-2013 
//
//  A structure for passing data betwween classes.
//  ******************************************
//  Date        Changes
//  10/13/12    initial release
//  12/14/12    added locked & flagged columns.
//  ******************************************

using System;

namespace SDRSharp.FreqMgr
{
    public class FreqRecord
    {
        private const String Copyright = "Copyright © Jeff Knapp 2012-2013";
        public Int32 Id { get; set; }
        public long Frequency { get; set; }
        public long Center { get; set; }
        public String Description { get; set; }
        public String Mode { get; set; }
        public String Protocol { get; set; }
        public String Callsign { get; set; }
        public String Service { get; set; }
        public Int32 ShiftEnabled { get; set; }
        public long Shift { get; set; }
        public String FilterType { get; set; }
        public Int32 FilterBandwidth { get; set; }
        public Int32 FilterOrder { get; set; }
        public Int32 SquelchEnabled { get; set; }
        public Int32 Squelch { get; set; }
        public Int32 CWShift { get; set; }
        public String Notes { get; set; }
        public String Date { get; set; }
        public Boolean Locked { get; set; }
        public Boolean Flagged { get; set; }
    }
}